Package org.eclipse.birt.chart.event

# Class LineRenderEvent

java.lang.Object
java.util.EventObject
org.eclipse.birt.chart.event.ChartEvent
org.eclipse.birt.chart.event.PrimitiveRenderEvent
org.eclipse.birt.chart.event.LineRenderEvent

All Implemented Interfaces:
  `Serializable`, `Comparable`

Direct Known Subclasses:
  `Line3DRenderEvent`

public class LineRenderEvent extends PrimitiveRenderEvent
A rendering event type for rendering Line object.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`DRAW, FILL, iObjIndex`

## Constructor Summary

Constructors
Constructor
Description
`LineRenderEvent(Object oSource)`
The constructor.

## Method Summary

Modifier and Type
Method
Description
`PrimitiveRenderEvent`
`copy()`
`final void`
`draw(IDeviceRenderer idr)`
Causes this instruction to 'draw' itself on the device renderer
`void`
`fill(IDeviceRenderer idr)`
Causes this instruction to 'fill' itself on the device renderer
`final Bounds`
`getBounds()`
Returns the mimimum bounds required to contain the rendering area for current event.
`final Location`
`getEnd()`
`final LineAttributes`
`getLineAttributes()`
`final Location`
`getStart()`
`final int`
`getZOrder()`
`void`
`reset()`
Resets the inner state of current event.
`final void`
`setEnd(Location _loEnd)`
Sets the end location of the line.
`final void`
`setLineAttributes(LineAttributes _lia)`
Sets the line attributes of this event.
`final void`
`setStart(Location _loStart)`
Sets the start location of the line.
`final void`
`setZOrder(int _zOrder)`
Sets the zOrder of the line.

### Methods inherited from class org.eclipse.birt.chart.event.PrimitiveRenderEvent

`compareRegular, compareTo, compareTransposed, getBackground, getDepth, getLabel, isEnabled, setDepth, setEnable`

### Methods inherited from class org.eclipse.birt.chart.event.ChartEvent

`setSourceObject`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LineRenderEvent

public LineRenderEvent(Object oSource)
The constructor.

## Method Details

### setStart

public final void setStart(Location _loStart)
Sets the start location of the line.

### getStart

public final Location getStart()

Returns:
  Returns the start location of the line.

### setEnd

public final void setEnd(Location _loEnd)
Sets the end location of the line.

### getEnd

public final Location getEnd()

Returns:
  Returns the end location of the line.

### setLineAttributes

public final void setLineAttributes(LineAttributes _lia)
Sets the line attributes of this event.

### getLineAttributes

public final LineAttributes getLineAttributes()

Overrides:
  `getLineAttributes` in class `PrimitiveRenderEvent`
Returns:
  Returns the line attributes.

### getBounds

public final Bounds getBounds()
Description copied from class: `PrimitiveRenderEvent`
Returns the mimimum bounds required to contain the rendering area for current event.

Overrides:
  `getBounds` in class `PrimitiveRenderEvent`
Returns:

### copy

public PrimitiveRenderEvent copy()

Overrides:
  `copy` in class `PrimitiveRenderEvent`
Returns:
  A copy of this primitive rendering instruction implemented by subclasses

### fill

public void fill(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'fill' itself on the device renderer

Overrides:
  `fill` in class `PrimitiveRenderEvent`
Parameters:
  `idr` -
Throws:
  `ChartException`

### draw

public final void draw(IDeviceRenderer idr) throws ChartException
Description copied from class: `PrimitiveRenderEvent`
Causes this instruction to 'draw' itself on the device renderer

Overrides:
  `draw` in class `PrimitiveRenderEvent`
Parameters:
  `idr` -
Throws:
  `ChartException`

### reset

public void reset()
Description copied from class: `ChartEvent`
Resets the inner state of current event. This must be implemented if the object is cached and reused.

Specified by:
  `reset` in class `ChartEvent`

### setZOrder

public final void setZOrder(int _zOrder)
Sets the zOrder of the line.

### getZOrder

public final int getZOrder()

Returns:
  Returns the zOrder of the line.